
From: Mike Waychison <Michael.Waychison@Sun.COM>

Export complete_all for module use.


---

 25-akpm/kernel/sched.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN kernel/sched.c~export-complete_all kernel/sched.c
--- 25/kernel/sched.c~export-complete_all	2004-04-01 01:02:55.288742968 -0800
+++ 25-akpm/kernel/sched.c	2004-04-01 01:02:55.294742056 -0800
@@ -2299,7 +2299,6 @@ void fastcall __wake_up_sync(wait_queue_
 		__wake_up_common(q, mode, nr_exclusive, 0);
 	spin_unlock_irqrestore(&q->lock, flags);
 }
-
 EXPORT_SYMBOL_GPL(__wake_up_sync);	/* For internal use only */
 
 void fastcall complete(struct completion *x)
@@ -2312,7 +2311,6 @@ void fastcall complete(struct completion
 			 1, 0);
 	spin_unlock_irqrestore(&x->wait.lock, flags);
 }
-
 EXPORT_SYMBOL(complete);
 
 void fastcall complete_all(struct completion *x)
@@ -2325,6 +2323,7 @@ void fastcall complete_all(struct comple
 			 0, 0);
 	spin_unlock_irqrestore(&x->wait.lock, flags);
 }
+EXPORT_SYMBOL(complete_all);
 
 void fastcall wait_for_completion(struct completion *x)
 {
@@ -2346,7 +2345,6 @@ void fastcall wait_for_completion(struct
 	x->done--;
 	spin_unlock_irq(&x->wait.lock);
 }
-
 EXPORT_SYMBOL(wait_for_completion);
 
 #define	SLEEP_ON_VAR					\

_
